QGIS Application - Feature request #7573
Rewrite ParameterSelection class to return parameter value instead of its index
2013-04-11 06:39 AM - Alexander Bruy

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/Core

Pull Request or Patch supplied: Resolution: fixed/implemented
Easy fix?: No Copied to github as #: 16513
Description

This is rather proposal than new feature or bug.
Currently ParameterSelection accepted list of possible values and returns an index of the selected value. Maybe it makes sense to rewrite
it and return value. Such approach has some advantages: using Python dict type it is very easy to show descriptive names to user and in

same time pass to algorithms correct values with necessary type (string, int, double...)

If this will be accepted, issues described in #5689 will gone

History

#1 - 2014-03-26 07:35 AM - Alexander Bruy
- Category set to 63

#2 - 2014-10-04 12:08 PM - Giovanni Manghi
- Category deleted (63)

- Project changed from 78 to QGIS Application

#3 - 2014-10-04 12:09 PM - Giovanni Manghi

- Category set to Processing/Core

#4 - 2014-10-04 12:10 PM - Giovanni Manghi

- Assignee set to Victor Olaya

#5 - 2016-12-30 01:06 AM - Alexander Bruy
- Resolution set to fixed/implemented

- Status changed from Open to Closed

Fixed in master. Options can be defined as (value, text)

2024-04-28 1/1




